Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Nov 2014, 20:27
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Lucid Puppy 5.2.8 - Updated ISO Version 005 - APR 05 2012
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 156 of 190 Posts_count   Goto page: Previous 1, 2, 3, ..., 154, 155, 156, 157, 158, ..., 188, 189, 190 Next
Author Message
Moose On The Loose


Joined: 24 Feb 2011
Posts: 532

PostPosted: Wed 03 Jul 2013, 10:19    Post_subject: massive changes to psync
Sub_title: Basically, this is a complete rewrite that started as a bug fix
 

This pet is written to upgrade a system and also be cleanly removed when uninstalled. It remembers the files created by the older version and puts them back if you remove it.

I added the feature of having psync run by pschedule so that people who leave their systems running for long periods can have their clocks stay reasonable. It is no replacement for "ntpd" but good enough for a user work station.

I opted to make the GUI be forced on and report the problem if either the startup case or the pschedule case runs into trouble. For example if during startup, your network may not be working. If that is the case, it detects it and invites you to run the wizard. This way, the clock on you PC won't just be mysteriously wrong.

BTW: If the author of pschedule is reading this: I like it but I found a bug. When I get a little time again, I will document the problem in a "bug" comment for it.
psync-2.0.pet
Description 
pet

 Download 
Filename  psync-2.0.pet 
Filesize  5.65 KB 
Downloaded  200 Time(s) 
Back to top
View user's profile Send_private_message 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Thu 04 Jul 2013, 05:49    Post_subject:    

Thanks for this re-write Moose! I always had a "sneaking suspicion" that psync v-1.0 had some sort of errors in it as I never could get it to behave quite "right" on any of my computers no matter what. And I always had the right locale set ( America/New York or America/Eastern when no other choice ), the bios was always properly set... yet psync would consistently reset my clock either four hours fast or slow. A great idea but I had to quit using it as it became rather frustrating. Looking forward to trying your v.2.0! Smile

Thanks for your dedication and work my Fellow Puppian Friend!

Cheers/Amicalement,

Eyes-Only
"L'Peau-Rouge"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send_private_message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 433
Location: Philadelphia, PA

PostPosted: Wed 17 Jul 2013, 18:56    Post_subject: gtkdialog  

Sorry if this was posted elsewhere that I can't find.

I'll paste at bottom a post today from a developer Sigmund Berglund, in the Multimedia section, re Pmusic.


Thanks,
Sheldon

Quote:
zigbert wrote:
It would be nice if someone running Lucid could compile the latest gtkdialog. sheldonisaac is not the only one struggling with this....


Thanks
Sigmund
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1536
Location: Maine, USA

PostPosted: Sat 20 Jul 2013, 16:36    Post_subject: Re: gtkdialog 0.8.3 for lucid pup
Sub_title: Use the wary/precise gtkdialog4 package
 

zigbert, quoted by sheldonisaac, wrote:
It would be nice if someone running Lucid could compile the latest gtkdialog. sheldonisaac is not the only one struggling with this.

I looked into this and compiled gtkdialog-0.8.3 into a 900K+ executable! The version included in precise pup is less than 200K. Not knowing how to cut down the result, I tried simply using the precise/wary gtkdialog4 pet package in lucid pup. It seems to work just fine!

That package and the "examples" for it are here:
ftp://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog4-0.8.3-i486.pet
ftp://distro.ibiblio.org/quirky/pet_packages-common/gtkdialog4_DOC-0.8.3-i486.pet

That led me to complete my effort to make frisbee and the new network_tray available to lucid pup 5.2.8 along with my accumulation of fixes taken from woof. See my next posting.
Richard
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1536
Location: Maine, USA

PostPosted: Sat 20 Jul 2013, 17:06    Post_subject: Upgrades for Lucid Pup, at last!  

Fellow fans of Lucid Pup 5.2.8,
It has been my intent for a long time to provide an easy way to upgrade lupu to add various fixes made in woof. I also wanted to try the new frisbee-1.1 and network_tray-2.7 in lupu. I seem to have succeeded.

I created separate packages for the puppy-infrastucture changes for the standard "lupu" and the "lupuplus" versions of Lucid Pup. The lupu package has to be split into two sub-packages to keep them smaller than the 256K attachment size constraint -- One has the /usr directory, the other everything else. The lupu pair also applies to the three-headed-dog derivative, because it is essentially the standard lupu but with a later kernel. (Since lupuplus already contains many of the components in the "plus" package, its package meets the attachment size constraint.)

So, install the "lupu" package pair to update the non-plus (lupu) installations and the lupuplus package for lupuplus and lupupluslibre. The result is the same for both cases (except that a lupu installation will not have the wifi drivers previously included in the lupupluses).

Then, install some packages from the wary/precise library to add frisbee and the newest network_tray. For downloading convenience, I collected the 5 essential packages into a tarball "kit". Or you can download each of them by using these links:To include the "examples" documentation for gtkdialog4, download it fromAlthough I have tried this upgrade on one of my lupu setups without issue, I recommend trying it on a nonessential puppy installation to satisfy yourself that it is solid, before upgrading your primary Lucid Pup installation. Once we have some experience with the updates, I plan to remaster a "5.2.8.6" ISO file, now that I have a mediafire.com account to host the large files.

Note that this frisbee implementation is incompatible with the "beta" Frisbee packages. It is best to install frisbee-1.1 only to installations that have not had the Frisbee beta installed. Next best is to uninstall any "beta" Frisbee before installing "1.1".

To remove some of the mystery about the fixes since lupuplus-528-005 (also included for "lupu"), here they are:
    - mount - #120103 shinobar: need 'silent' option for ntfs-3g, avoid err msgs, permissions lost when copy.
    - 99-notify - Provides network state change popups for frisbee of if activated for other network managers
    - all-firmware/wl.tar.gz - improves loading of Broadcom wireless drivers
    - wmexit, wmpoweroff, wmreboot - #120425 appears to prevent misbehavior in full installation.
    - cups/backend/pdf-writer - #130126 correct detection of puppy linux distro.
    - AppRun - #110505 support sudo for non-root user; #130104 add frisbee control interface; #130117 remove redundant CURREXEC test, per shinobar
    - petget/pkg_chooser.sh - #120418 shinobar's internationalization fix
    - petget/removepreview.sh - #120121 shinobar: allow space chars in the "files" list paths
    - connectwizard - internationalized by rodin.s; #101206 pupdial_wizard_helper now called from pupdial; #111022 added hostname-set button; #111028 put hostname entry box directly in this wizard, internationalised; #111106 do not use $HOSTNAME, as hostname-set may have just been run; #120823 add frisbee interface; #120823 get correct pid in wait loop
    - connectwizard_2nd - #100810 moved SNS to top choice, improved messages; #120201 rodin.s: internationalized; #121029 added interface to integrated frisbee.
    - pmodemdiag - diagnostic logging improvement
    pupdial, modemdisconnect, pgprs - communication added for new network_tray
    - snapmergepuppy - correct handling of /dev/snd directory
    - xorgwrapper.sh - avoid insignificant error message
    - installpkg.sh - #130305 ensure tmp directory has all permissions after package expansion.
    - variconlinks (used by fixmenus) - #130728 correct patterns for xpm/png files only, avoid directory

UPDATE 9/17/2013:
Added "delta" package to correct omissions in the "5.2.8.6" packages. Adds internationalization and dhcpcd-dropwait interfaces (so networking can work), as well as USB3 support during bootup, correction of the usb_modeswitch interface and corrections of kernel version tests to handle kernels 3.x in 4 scripts. The files are:
    /etc/rc.d/rc.sysinit
    /usr/bin/envsubst
    /usr/bin/gettext.sh
    /usr/bin/ngettext
    /usr/sbin/bootmanager
    /usr/sbin/dhcpcd_dropwait_option
    /usr/sbin/pmodemdiag
    /usr/sbin/pusbmodeswitch_protect
    /usr/sbin/remasterpup2
    /usr/sbin/updatenetmoduleslist.sh
    /usr/sbin/xgamma-gui
Richard
lupu_5.2.8.6-delta-20130916.pet
Description  Supplement to the "5.2.8.6" packages here, necessary for acceptable performance!
pet

 Download 
Filename  lupu_5.2.8.6-delta-20130916.pet 
Filesize  50.57 KB 
Downloaded  137 Time(s) 
lupu_frisbee_kit-20130727.tar.gz
Description  wary/precise/quirky packages for dhcpcd, frisbee, gtkdialog4, network_tray, pdiag
Added psync-2.9.
gz

 Download 
Filename  lupu_frisbee_kit-20130727.tar.gz 
Filesize  241.87 KB 
Downloaded  177 Time(s) 
lupuplus-5.2.8.6-20130726.pet
Description  Infrastructure upgrade for lupuplus-5.2.8-005 and lupupluslibre-5.2.8-005 --
Do NOT use this with standard/nonplus lupu or three-headed-dog installations.
pet

 Download 
Filename  lupuplus-5.2.8.6-20130726.pet 
Filesize  49.59 KB 
Downloaded  164 Time(s) 
lupu-5.2.8.6-usr-20130726.pet
Description  Infrastructure upgrade for lupu-5.2.8-002 through -005, part 1
Use this also with lupulibre, three-headed-dog and 3HDlibre.
pet

 Download 
Filename  lupu-5.2.8.6-usr-20130726.pet 
Filesize  188.6 KB 
Downloaded  195 Time(s) 
lupu-5.2.8.6-not_usr-20130720.pet
Description  Infrastructure upgrade for lupu-5.2.8-002 through -005, part 2
Use this also with lupulibre, three-headed-dog and 3HDlibre.
pet

 Download 
Filename  lupu-5.2.8.6-not_usr-20130720.pet 
Filesize  225.09 KB 
Downloaded  182 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 433
Location: Philadelphia, PA

PostPosted: Sat 20 Jul 2013, 18:17    Post_subject: Re: gtkdialog 0.8.3 for lucid pup
Sub_title: Use the wary/precise gtkdialog4 package
 

rerwin wrote:
zigbert, quoted by sheldonisaac, wrote:
It would be nice if someone running Lucid could compile the latest gtkdialog. sheldonisaac is not the only one struggling with this.

I looked into this and compiled gtkdialog-0.8.3 into a 900K+ executable!

Richard, please excuse: I should have notified the LuPu thread sooner.

OscarTalks made one a couple of days ago; it's near the
bottom of page 115 of the pmusic thread in Multimedia
http://www.murga-linux.com/puppy/viewtopic.php?t=31206&start=1710

Again, my apologies: not sure what is OK re cross-posting or whatever?

Thanks,
Sheldon

Edited_time_total
Back to top
View user's profile Send_private_message 
Eyes-Only


Joined: 10 Aug 2006
Posts: 1046
Location: La Confederation Abenaquaise

PostPosted: Sun 21 Jul 2013, 04:35    Post_subject:  

SheldonIsaac wrote:
"Richard, please excuse: I should have notified the LuPu thread sooner.

OscarTalks made one a couple of days ago..."


Still Rerwin, I'm very, very interested in your idea of a Lucid-5.28.6 if you're still willing to compile and roll/offer the .iso file. Not that I'm still using Lucid myself - although I very happily use the derivative 3HD - I'd appreciate having a copy of said .iso for my files. Plus, I'm sure you've come across as many people on this forum as I have who to this day are writing, "Lucid Pup was the best version ever! That's why I'm still using it on my computer to this day even if it's somewhat dated..." I'm sure they'd very much appreciate the upgrade as well, eh?

Food for thought at least?

Cheers/Amicalement,

Eyes-Only
"L'Peau-Rouge d'Acadie"

_________________
*~*~*~*~*~*
Proud user of LXpup and 3-Headed Dog. Cool
*~*~*~*~*~*
Back to top
View user's profile Send_private_message 
Sylvander

Joined: 15 Dec 2008
Posts: 3517
Location: West Lothian, Scotland, UK

PostPosted: Sun 21 Jul 2013, 05:28    Post_subject:  

Lupu-528.005 was my number-1 Puppy...
Until I bought a new PC in 2012...
And Lupu wouldn't boot on it.
So I moved on to Slacko-5.3.3.1...
And then discovered Precise-5.6.1, which is now my number-1.

But I decided to give "3-Headed-Dog" another try last night.
[luci-001.005.iso with pmedia=ataflash modification previously made and stored]
It looked like it was going to be all go, BUT...
Couldn't get it to make a lucisave file at shutdown/reboot.
Used simplepupsave [in a 2nd Puppy] to make an empty lucisave.3fs file in a folder beside the 2 SFS files that were previously working OK, but Luci didn't like that at bootup.
I'd previously tried using simplepupsave to make a lucisave within the running Luci, but that didn't work either.

Seems I cannot get it to "just work". Sad
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1536
Location: Maine, USA

PostPosted: Sun 21 Jul 2013, 14:50    Post_subject:  

Eyes-Only, Sylvander,
Thanks for your encouragement. The "lupu" pair of packages should also support 3-headed-dog and contain a significant set of changes to the shutdown script. Please try them on your 3HD systems (although not your main ones). If I am to work on shutdown issues, we need to start with the fixes made so far.

Initially, try the pair without the added pets in the "kit". Once you are satisfied that all is well, feel free to add the others to implement frisbee and the new network_tray.

Note that I have re-uploaded the "not_usr" package (part 2). To better accommodate 3HD, I updated the pinstall script to remove the USB3 driver (if installed in 3HD), which is compiled only for the 2.6.33.2 kernel. If anyone has xhci.ko compiled for kernel 2.6.37.6, please PM it to me so I can add it to the "not_usr" pet. The only link I see for the kernel source does not seem to work -- it times out -- so I cannot compile it myself.

Quote:
"Lucid Pup was the best version ever! That's why I'm still using it on my computer to this day even if it's somewhat dated..."
Now that I have gotten this far, I am open to recommendations on the most important components to upgrade or add, to make Lucid Pup continue to be desirable. Keep in mind, though, that I do not have playdayz' skills at resolving issues with new items. So, we need to focus on components that are safe to add, or can easily be made so, and can be tested/verified by someone besides me. I plan to start with recent woof fixes to add to the ones I have already included.
Richard
Back to top
View user's profile Send_private_message 
Sylvander

Joined: 15 Dec 2008
Posts: 3517
Location: West Lothian, Scotland, UK

PostPosted: Sun 21 Jul 2013, 18:22    Post_subject:  

@rerwin
Wooohooo! SUCCESS! Very Happy
Installed your "pair of packages", and it worked.
Now appear to have a functioning lucisave.3fs file.
I think I'll make a remaster of Luci once all the tweaking is finished, and make a CD-R with it, and use it for online banking.
This'll be the 1st time I've done such a thing.
Aught I to re-master using the CD WITH or WITHOUT pmedia=ataflash included?
Since there wouldn't be any saving back to a CD-R anyway?

Oops...
Cannot get the following packages to install...
Neither using PPM...
Nor the PET files held on a Flash Drive:
wine-1.5.2-i486_v1.pet
pwidgets-2.4.1.pet

Nor can mounted PFS's [drives] be dismounted.
Nor will the luci shutdown using the "Menu->shutdown-Power-off computer".

Switched to using the CD-RW that hasn't had the pmedia=ataflash modification, and the above problems disappeared.
WINE and pwidgets now installed, and shutdown/reboot works OK.
Strange that the "Save..." icon is still on the desktop, although only the 1st of the 2 dialogs appears when I click it; not sure if it's functioning/saving.

Pwidgets won't display the rambar, or CPUgraph, only puppylinux, clock_analog, calendar.
No Xload display at bottom right.
Hmmm, looks like I've made a real mess of this.
Tried to remaster, but there is no display of the optical disk on the desktop.
May need to scrap the lucisave, and start afresh using the CD with no pmedia=ataflash.
.
.

Edited_times_total
Back to top
View user's profile Send_private_message 
tallboy


Joined: 21 Sep 2010
Posts: 448
Location: Oslo, Norway

PostPosted: Sun 21 Jul 2013, 20:04    Post_subject:  

Hi rerwin, thank you for the effort. I installed your LupuPlus package yesterday before closing down my live CD, but I unfortunately got some message about incompatible installation that would screw up my puppy! I'll repeat it in a moment to give you the exact text, and report back.
(My current LupuPlus is heavily remastered)

I only have old PCs, so personally I don't have any problems with the latest hardware. The 5.2.8 is quite good, the only improvement I want, is a better wifi connection, and please make it boot with JWM as first choice for windowmaster. I dislike that other....thingy! Very Happy
I have also understood that 5.2.8 had serious sound problems for some people, solved by using software from the 5.2.5.

In general, I think the existing backward hardware compability is more important in the 5.2.8, than maybe upsetting good working solutions, by trying to incorporate a fix for all problems related to newer hardware.

Those problems are there for the later puppys! Cool

tallboy

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send_private_message 
recobayu


Joined: 15 Sep 2010
Posts: 114
Location: indonesia

PostPosted: Sun 21 Jul 2013, 23:33    Post_subject:  

ya. I couldn't agree more..
I really hurry to download the lupu 5.2.8.6.iso..
Very Happy
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5362
Location: Charleston S.C. USA

PostPosted: Sun 21 Jul 2013, 23:39    Post_subject:  

rerwin,

Thank you very much for trying to keep Lucid Puppy going!
I agree, its Linux kernel version will never be able to handle the latest hardware very good, but a lot of us have old hardware that it works very well on. Hard to support hardware, that was not even built, when its kernel was made.
It would be very good if some of the bug fixes, that have been implemented in Wolf, could get into Lucid, along with the updates to some of the Puppy core programs.
I still think of Lucid Puppy as the long term support version of Puppy.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
rerwin


Joined: 24 Aug 2005
Posts: 1536
Location: Maine, USA

PostPosted: Mon 22 Jul 2013, 19:29    Post_subject:  

Quote:
In general, I think the existing backward hardware compability is more important in the 5.2.8, than maybe upsetting good working solutions, by trying to incorporate a fix for all problems related to newer hardware.
Quote:
It would be very good if some of the bug fixes, that have been implemented in Wolf, could get into Lucid, along with the updates to some of the Puppy core programs.
I still think of Lucid Puppy as the long term support version of Puppy.
I am in total agreement. I want to keep Lucid Pup "band-aided" as much as we can. These packages do that up to a point about a year ago. I need to check the woof updates since then, to find more back-portable fixes.
tallboy wrote:
I have also understood that 5.2.8 had serious sound problems for some people, solved by using software from the 5.2.5.
Note that the lupu and lupuplus versions of the sound code are different. I attempted to fix the reported problems in lupuplus. The "lupu" package pair includes the upgrade(?) to the plus version of sound support. If there remain some sound issues, that is the version on which I would base any fixes.

Given my limited competence at system-wide upgrades, I need to avoid "asking for trouble" in choosing what to upgrade. I doubt I should make any "personal choice" default changes, as that goes beyond my intent, which is only to keep the current Lucid Pup in good repair, not to extend it.

Back to the new packages: I find two minor issues in my lupupluslibre installation. The network notification popups (associated with frisbee) at bootup initially are pink instead of orange. Only the "down" messages should be pink. But the color returns to normal after 15 seconds, or so. If I substitute the version of gtkdialog-splash from precise, the initial colors are correct. So, I will probably add that to the packages, unless someone objects.

The other problem is a mystery. After installing the network_tray package, the icons in a directory named network_tray-xpm, linked-to by the network_tray link, a few seconds later, a similar link appears inside the -xpm directory. That probably doesn't hurt anything, but I want to prevent that. Now I just have find where that is being done in lupu.

Regarding upgrading "Puppy core programs", I am nervous about taking that on because I probably cannot resolve issues with them. However, there may be particular ones that have been verified by others to work without undesirable side effects. I am open adding them if I know they are safe. Please identify the most important ones to consider, particularly those causing the most frustration. What do you (everyone) consider as candidates?
Richard
Back to top
View user's profile Send_private_message 
tallboy


Joined: 21 Sep 2010
Posts: 448
Location: Oslo, Norway

PostPosted: Mon 22 Jul 2013, 21:39    Post_subject:  

Sorry about the misspelling of compability in my post above, it should of course be compatibility. I thought it looked funny when used in a quote... Embarassed

tallboy

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 156 of 190 Posts_count   Goto page: Previous 1, 2, 3, ..., 154, 155, 156, 157, 158, ..., 188, 189, 190 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1722s ][ Queries: 13 (0.0485s) ][ GZIP on ]